package com.example.bpa.view.fragment;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.Fragment;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;

import com.example.bpa.R;
import com.example.bpa.app.BusinessServer;
import com.example.bpa.db.QueryDB;
import com.example.bpa.db.mode.BPA_GOODS;
import com.example.bpa.helper.Json;
import com.example.bpa.helper.T;
import com.example.bpa.view.adapter.sp_adapter;
import com.example.bpa.view.from.add_pf_activity;
import com.example.bpa.view.from.yfpf_activity;
import com.example.bpa.view.inteface.MyClickListener;

import java.util.ArrayList;

/**
 * 主页界面
 */
public class HomeFragment extends Fragment implements View.OnClickListener, MyClickListener {

    //region 变量
    /**
     * 界面实例
     */
    public View view;
    /**
     * 表格显示
     */
    public ListView datatab;
    /**
     * 商品数据
     */
    public ArrayList<BPA_GOODS> bpa_goods=new ArrayList<>();
    //endregion

    //region 私有函数
    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        view = inflater.inflate(R.layout.fragment_home, container,false);
        Init();
        return view;
    }
    //endregion

    //region 公共函数
    /**
     * 初始化
     */
    private void Init(){
        datatab= view.findViewById(R.id.datatab);
        Initdata();//初始化数据
        RegisterMessage();//消息中心事件接收
    }
    /**
     * 初始化按钮事件
     */
    private void initEvents() {

    }
    /**
     * 初始化数据加载
     */
    public void Initdata()
    {
        try{
            bpa_goods= QueryDB.GetGoodsALL();
            sp_adapter adapter = new sp_adapter(view.getContext(), R.layout.sp_item, bpa_goods,this);
            datatab.setAdapter(adapter);
        }catch(Exception e){

        }
    }
    //endregion

    //region 点击事件
    /**
     * 本页面点击事件监听22
     *
     * @param v
     */
    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.buttonaddpf://新建配方

                break;
        }
    }

    /**
     * 接口方法，响应ListView按钮点击事件
     */
    @Override
    public void clickListener(View v,Object data) {
        switch (v.getId())
        {
            case R.id.button_item://删除按钮

                break;

        }
    }
    //endregion

    //region 接收事件
    public void RegisterMessage()
    {

    }
    //endregion
}